Item Logo
Wms apiApi referenceInbound api

RN ACK By Paging

RN ACK By Paging API

This article introduces the general RN ACK by Paging API for easily understanding and applying this API.

Introduction

The RN ACK by Paging API in WMS domain is used to send a return acknowledgement after successfully importing the receipt notification. The API confirms that the receipt data has been processed correctly by the system. By acknowledging the receipt of products, this API ensures accurate record-keeping and enhances communication between systems, improving inventory control and order processing efficiency. Using paging mechanism makes it support to manage large sets of data, optimizing the handling of RN in real time.

API Request

API: POST /edi/inbound/receipt/ack/search-by-paging Body Request:


FieldName


Description

DataType

Length

Required

Version

Sample

Root









1

CompanyID


Hard code, assigned by UNIS system admin.

string

15

Yes

1.3

"LT"

2

FacilityID


FacilityID indicates which warehouse UNIS ship from. It should be assigned by UNIS CSR

string

15

Yes

1.3

"889"

3

CustomerID


Hard code, assigned by UNIS accounting dept.

string

15

Yes

1.3

"AUKINT0001"

4

PONo


Inbound Purchase Order Number, which is a uniquely identifies a purchase order and is generally defined by the buyer.

string

50

No

1.3

"8957515451-10"

5

ReferenceNo


Unique identifier, indicate an order.

string

50

No

1.3

"LIV2020021804-10"

6

CreatedWhenFrom


Created From

string

50

No

1.3

"2020-02-24T00:11:11.892"

7

CreatedWhenTo


Created To

string

50

No

1.3

"2020-02-24T00:12:11.892"

8

Paging


Paging

object


No

1.3



8.1

PageNo

Page Number

int


No

1.3

1

API Return

Main Fields


FieldName

Description

DataType

Length

Version

Sample

Root







1

FacilityID

FacilityID indicates which warehouse UNIS ship from. It should be assigned by UNIS CSR

string

15

1.2

"889"

2

CustomerID

Hard code, assigned by UNIS accounting dept.

string

15

1.2

"AUKINT0001"

3

ReferenceNo

Unique identifier, indicate an order.

string

50

1.2

"31312321"

4

ACK

Ack Content

object


1.2


5

CreatedWhen


string

50

1.2

"2020-02-24T00:11:11.892"

ACK Fields


FieldName

Description

DataType

Length

Version

Sample

Root







4.1

CustomerId

Hard code, assigned by UNIS accounting dept.

string

15

1.2

"AUKINT0001"

4.2

PONo

Inbound Purchase Order Number, which is a uniquely identifies a purchase order and is generally defined by the buyer.

string

15


1.2

"1187494_2"

4.3

ReferenceNo

Unique identifier, indicate an order.

string

50

1.2

"31312321"

4.4

WISEPOID

UNIS System (WISE) Receipt Number, unique in UNIS system.

string

50

1.2

"RN-6428"

4.5

Status

Status

string

30

1.2

"Success"

4.6

Error


string

1000

1.2

"SupplierID is required"

Example

Request

```json // Url http://preview.logisticsteam.com/shared/bam/v1/public/edi/inbound/receipt/ack/search-by-paging

// Body { "CompanyID": "LT", "CustomerID": "AUKINT0001", "FacilityID": "889", "PONo": "", "ReferenceNo": "", "CreatedWhenFrom": "2020-06-15T00:11:11.892", "CreatedWhenTo": "2020-06-20T00:12:11.892", "Paging":{ "PagingNo":1 } } ```

Response

json // Success return [ { "FacilityID": "889", "CustomerID": "AUKINT0001", "PONo": "11874942", "ACK": { "CustomerID": "AUKINT0001", "PONo": "11874942", "ReferenceNo": null, "WISEPOID": "RN-6428", "Status": "Success", "Error": null }, "CreatedWhen": "2020-06-16T12:25:47.226" }, { "FacilityID": "889", "CustomerID": "AUKINT0001", "ACK": { "code": "EDI-ERROR-SupplierID is required", "error": "SupplierID is required" }, "CreatedWhen": "2020-06-16T12:25:03.493" } ]

json // Failed return { "error": "Not found receipt" }